Bug 10884 - [PATCH] Ability to read and set margins for sheets
Summary: [PATCH] Ability to read and set margins for sheets
Status: CLOSED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-17 04:33 UTC by Shawn Laubach
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch for Sheet, HSSFSheet, BiffViewer, and RecordFactory for the new records (8.15 KB, patch)
2002-07-17 04:34 UTC, Shawn Laubach
Details | Diff
The Margin record files. (2.87 KB, application/octet-stream)
2002-07-17 04:35 UTC, Shawn Laubach
Details
Margin record tests. Add whenever you want. (2.14 KB, application/octet-stream)
2002-07-23 00:26 UTC, Shawn Laubach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Laubach 2002-07-17 04:33:37 UTC
I need the ability to read and set margins for sheets in a workbook.  It's just 
four simple records and manipulating them where needed.
Comment 1 Shawn Laubach 2002-07-17 04:34:42 UTC
Created attachment 2371 [details]
Patch for Sheet, HSSFSheet, BiffViewer, and RecordFactory for the new records
Comment 2 Shawn Laubach 2002-07-17 04:35:14 UTC
Created attachment 2372 [details]
The Margin record files.
Comment 3 Shawn Laubach 2002-07-17 04:37:08 UTC
I created 4 records (1 for each margin) and a margin interface.  The interface 
is so I can play with the margin without knowing which particular margin it 
is.  I've added getter and setter methods that take a constant representing 
which margin.  I did this because I didn't think redundant functions for each 
margin was necessary.  I did create the constants for this.  Please email me 
with any questions.
Comment 4 Andy Oliver 2002-07-17 13:52:00 UTC
cool.  I'll apply this shortly if someone else doesn't beat me too it.  Please
add yourself as a developer on the src/documentation/xdocs/who.xml page which
matches to: http://jakarta.apache.org/poi/who.html -- You're a frequent and
valued developer on this project and I feel you should be recognized.  Thanks -Andy.
Comment 5 Shawn Laubach 2002-07-20 05:09:11 UTC
I'll get you the update to who.xml as soon as I can upload my code.  I've got 
some tests for the actual records (just the basic ones).  I'll would gladly 
take some additional suggestions for some other tests.
Comment 6 Andy Oliver 2002-07-21 03:47:24 UTC
please remember to lable these [PATCH] in subject.  (we read those bugs first ;-))
Comment 7 Andy Oliver 2002-07-21 03:57:51 UTC
applied please cross check.
Comment 8 Shawn Laubach 2002-07-23 00:26:04 UTC
Created attachment 2439 [details]
Margin record tests.  Add whenever you want.
Comment 9 Shawn Laubach 2002-07-27 18:32:23 UTC
Everything looks good.  I've added the tests that the record generator 
created.  When you add those I'd consider it verified.